Skip to main content
GET
/
mailbox
/
messages
/
{message_id}
/
content
Get clean message content
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/messages/{message_id}/content \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "id": "<string>",
    "thread_id": "<string>",
    "subject": "<string>",
    "participants": {
      "from": {
        "email": "agent@example.com",
        "name": "Support"
      },
      "to": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ],
      "cc": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ],
      "bcc": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ],
      "reply_to": [
        {
          "email": "agent@example.com",
          "name": "Support"
        }
      ]
    },
    "dates": {
      "received_at": "<string>",
      "sent_at": "<string>"
    },
    "body": {
      "text": "<string>",
      "html": "<string>",
      "is_truncated": true,
      "truncated_at_chars": 123,
      "signature_stripped": true,
      "quotes_stripped": true,
      "extracted_links": [
        "<string>"
      ]
    },
    "headers": {
      "selected": {
        "message_id": [
          "<string>"
        ],
        "in_reply_to": "<string>",
        "references": [
          "<string>"
        ],
        "reply_to": [
          {
            "email": "agent@example.com",
            "name": "Support"
          }
        ]
      },
      "full": [
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    },
    "attachments": [
      {
        "id": "<string>",
        "filename": "<string>",
        "content_type": "application/pdf",
        "size_bytes": 123,
        "disposition": "<string>",
        "content_id": "<string>",
        "download_url": "<string>"
      }
    ],
    "states": {
      "email_state": "<string>",
      "option_hash": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Headers

If-None-Match
string

Path Parameters

message_id
string
required

Query Parameters

part
enum<string>
Available options:
auto,
text,
html
max_body_chars
integer
Required range: 1 <= x <= 1000000
strip_signature
boolean
strip_quotes
boolean
include_html
boolean
include_headers
enum<string>
Available options:
none,
selected,
full
include_attachments
enum<string>
Available options:
none,
metadata

Response

Clean message content

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required